function playerturn_update()
end
function playerturn_draw()
    love.graphics.setFont(pressStart2P_12p)
    --draw black objects
    love.graphics.setColor(0,0,0)
    love.graphics.line(0, 547, 1280, 547)
    love.graphics.rectangle("line", 0, 0, 202, 36)
    love.graphics.rectangle("line", 1079, 0, 1280, 36)
    love.graphics.printf("Available actions: " .. actionsAvailable, 0, tempDataArray["buttons"].height + 5, 1280, "center")
    --draw blue objects
    love.graphics.setColor(0,0,255)
    love.graphics.rectangle("fill", 1, 1, bunkerHealth / 2.5 , 35)
    love.graphics.print("Bunker Health: " .. bunkerHealth, 0, 40)
    love.graphics.print("Defense for turn: " .. defenseAmount, 0, 55)
    --draw red objects
    love.graphics.setColor(255,0,0)
    love.graphics.rectangle("fill", 1080, 1, playerHealth * 2, 35)
    love.graphics.print("Player Health: " .. playerHealth, 1080, 40)
    love.graphics.print("Food amount: " .. foodAmount, 1080, 55)
    if foodAmount <= 0 then
        love.graphics.print("Food critical!", 1080, 70)
    end
    if playerHealth <= 0 then
        oToutpudMode = "red"
        outputText = "You have lost! You are out of health..."
        love.event.quit()
    end
    if oToutputMode == "red" then
        love.graphics.setColor(255,0,0)
    elseif oToutputMode == "green" then
        love.graphics.setColor(0,255,0)
    elseif oToutputMode == "blue" then
        love.graphics.setColor(0,0,255)
    end
    love.graphics.printf(outputText, 0, tempDataArray["buttons"].height + 20, 1280, "center")
    --draw noncolored objects
    love.graphics.setColor(255,255,255)
    love.graphics.draw(resourceTextureArray["defensebutton"], tempDataArray["defensebutton"].x, tempDataArray["defensebutton"].y)
    love.graphics.draw(resourceTextureArray["repairbutton"], tempDataArray["repairbutton"].x, tempDataArray["repairbutton"].y)
    love.graphics.draw(resourceTextureArray["foodbutton"], tempDataArray["foodbutton"].x, tempDataArray["foodbutton"].y)
    love.graphics.draw(resourceTextureArray["healbutton"], tempDataArray["healbutton"].x, tempDataArray["healbutton"].y)
    love.graphics.draw(resourceTextureArray["endturn"], tempDataArray["pendturn"].x, tempDataArray["pendturn"].y)
    love.graphics.draw(resourceTextureArray["constructbutton"], tempDataArray["constructbutton"].x, tempDataArray["constructbutton"].y)
end